function [result,no] = check_asystole(ri,signal,Fs,sig_type,ppg_result,verify)

if(nargin < 5)
    verify = 0;
end

if(nargin < 4)
    ppg_result = 0;
end

if(length(ri) <= 4)
    result = 1;
    no = 1;

else
    
    avg_ri = mean(signal(ri));
    if(sig_type == 1)
        thresh = 0.1;
    else
        thresh = 0.05;
    end
    if(avg_ri <= thresh)
        result = 1;
        no = 2;
    else
        
        diff_ri = diff(ri);
        avg_diffri = mean(diff_ri);
        
        last_int = length(signal) - ri(length(ri));
        diff_ri = [diff_ri last_int];
        
        check1 = find(diff_ri >= 3.4*Fs);
        
        if(~isempty(check1))
            result = 1;
            no = 3;
        else
            
            check = find(diff_ri > (3.4*avg_diffri));
            
            if(~isempty(check))
                result = 1;
                no = 4;
            else
                result = 0;
                no = 5;
            end
        end
    end
 
end