function ppg_pk = get_ppgpeaks(ppg_data,avg_hr,Fs,arr)
% 
% ppg_data1 = butter_bidir(1,ppg_data,Fs,2,'low');
% ppg_data2 = ppg_data - ppg_data1;
% ppg_data4 = ppg_data2;

ppg_diff = diff(ppg_data);
ppg_diff_lp = butter_bidir((avg_hr+5),ppg_diff,Fs,4,'low');

[~,difflocs] = findpeaks(ppg_diff_lp);

avg_diff = mean(ppg_diff_lp(difflocs));

diff_locs=[];
k=1;

for i=1:1:length(difflocs)
    if(ppg_diff_lp(difflocs(i)) > 0.5*avg_diff)
        diff_locs(k) = difflocs(i);
        k=k+1;
    end
end

k=1;
pk=[];
for i=1:1:length(diff_locs)-1
    
    for j=diff_locs(i):1:diff_locs(i+1)
        if(ppg_diff_lp(j)<=0)
            pk(k) = j-1;
            k=k+1;
            break;
        end
    end
end

for i=diff_locs(length(diff_locs)):1:length(ppg_diff_lp)
    if(ppg_diff_lp(i)<=0 && (length(ppg_diff_lp) - (i-1) >= 0.2*Fs))
        pk(k) = i-1;
        k=k+1;
        break;
    end
end

k=1;
ppg_pk = [];
for i=1:1:length(pk)
    
    if(ppg_data(pk(i)) >=0 && (ppg_data(pk(i)) >= 0.5*mean(ppg_data(pk))))
        ppg_pk(k) = pk(i);
        k=k+1;
    end
end

for i=1:1:length(ppg_pk)-1
    
    if(arr>=2)
        if(ppg_pk(i+1) - ppg_pk(i) <= ceil(0.28*Fs))
            ppg_pk(i+1) = ppg_pk(i);
        end
    else
        if(ppg_pk(i+1) - ppg_pk(i) <= ceil(0.38*Fs))
            ppg_pk(i+1) = ppg_pk(i);
        end
    end
end

ppg_pkdiff = diff([0 ppg_pk]);

ppg_pk = ppg_pk(find(ppg_pkdiff>0));
