function [result] = predictAsys(ecg_data1,ecg_data2,ppg_data,Fs)

    load 'asysPredictive_Model_St.mat'

    pred_result = [0 0];
    test_s = 1;
    
    for loop = 1:1:2
        
        if(loop == 1)
            ecg_data = ecg_data1;
        else
            ecg_data = ecg_data2;
        end
        
        flat = 0;
        [x_fv,tn,ppg_data1] = get_fv(ecg_data,ppg_data,Fs);    

        if(tn==0)

            test_set = x_fv;

            [m_test,n_test] = size(test_set);
            test_f = m_test;
        else
            flat = 1;
        end

        if(~flat)
            test_len = test_f - test_s + 1;

%             for i=1:1:n_test
%                 test_set(:,i) = (test_set(:,i) - mean_x(i))/(max_x(i) - min_x(i));
%             end

            test_x = [ones(test_len,1) test_set];

            sum_thresh = 1;
            
            [svm_y,~] = predict(svm_struct,test_x);

            sum_y = sum(svm_y);

            if(sum_y >= sum_thresh)

                pred_result(1,loop) = 1;

            else

                pos = (1:1:25)';
                [pos_len,~] = size(pos);
                [ppg_flat,~] = verify_flat(ppg_data1,Fs);

                if(~ppg_flat)

                    if(max(ppg_data1) > 0.1 && max(ppg_data1) < 1)
                        ppg_data1 = ppg_data1/max(ppg_data1);
                    end

                    for p = 1:1:pos_len

                        if(pos(p,1) == 1)

                            st_ppg = ceil(((pos(p,1)-1)*Fs*0.25)+1);
                        else
                            st_ppg = ceil(((pos(p,1)-1)*Fs*0.25));

                        end

                        fi_ppg = st_ppg + 1000;

                        ppg_block = ppg_data1(st_ppg:fi_ppg);
                        [pred_result(1,loop),~] = test_ppg(ppg_block);

                        if(pred_result(1,loop) == 1)
                            break;
                        end
                    end
                end
            end
        end
        if(pred_result(1,loop) == 1)
            break;
        end
    end
    
    result = pred_result(1,1) || pred_result(1,2);
end